Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Adding gemspec

  • Loading branch information...
commit ba1724ae5d57ae466cc4337ca292136b0baae0cc 1 parent 6d29230
Daniel Parker authored
Showing with 100 additions and 11 deletions.
  1. +15 −0 History.txt
  2. +23 −0 Manifest.txt
  3. +0 −11 README
  4. +62 −0 quickbooks-ruby.gemspec
View
15 History.txt
@@ -0,0 +1,15 @@
+== Changes from the SVN times...
+
+* Initial import of a new rewrite at version 0.0.3
+* 0.0.5 includes support for ordered qbxml attributes, as well as better error-handling and smarter saving.
+* 0.0.7 includes support for nested finder options, with aliases for easy access. Outdated by bugfixes in the next version.
+* 0.1.0 Bugfixes, a little more docs, and connection is a little more robust.
+* 0.1.1 Small bugfix.
+* 0.4.0 Ready for beta by anyone!
+* 0.4.2 A few bugs worked out, added Quickbooks::Base.setup to initialize arguments for establish_connection().
+* 0.4.3 A really important addition to the query() method that filters a Quickbooks response to correctly honor time-based filters. (Monitor whether we need to +1 day to incoming time-based filters so that Quickbooks will include all desired results.)
+
+== 0.4.4 2008-07-25
+
+* 1 minor update:
+ * Moved to GitHub
View
23 Manifest.txt
@@ -0,0 +1,23 @@
+History.txt
+lib/qbxml/request.rb
+lib/qbxml/response.rb
+lib/qbxml/support.rb
+lib/qbxml.rb
+lib/quickbooks/adapters/ole_adapter.rb
+lib/quickbooks/adapters/qbxml_debug_adapter.rb
+lib/quickbooks/base.rb
+lib/quickbooks/model.rb
+lib/quickbooks/models/common/address.rb
+lib/quickbooks/models/common/all_refs.rb
+lib/quickbooks/customer/credit_card_info.rb
+lib/quickbooks/customer.rb
+lib/quickbooks/deleted.rb
+lib/quickbooks/list_item.rb
+lib/quickbooks/transaction.rb
+lib/quickbooks/ruby_magic.rb
+lib/quickbooks.rb
+LICENSE
+README
+specs/qbxml_spec.rb
+specs/quickbooks_spec.rb
+specs/spec_helper.rb
View
11 README
@@ -40,14 +40,3 @@ Again, until a later version, you will need to be running Quickbooks on the same
* Daniel Parker (mailto:gems@behindlogic.com)
This library is released under the terms of the MIT License.
-
-== Changes
-
-* Initial import of a new rewrite at version 0.0.3
-* 0.0.5 includes support for ordered qbxml attributes, as well as better error-handling and smarter saving.
-* 0.0.7 includes support for nested finder options, with aliases for easy access. Outdated by bugfixes in the next version.
-* 0.1.0 Bugfixes, a little more docs, and connection is a little more robust.
-* 0.1.1 Small bugfix.
-* 0.4.0 Ready for beta by anyone!
-* 0.4.2 A few bugs worked out, added Quickbooks::Base.setup to initialize arguments for establish_connection().
-* 0.4.3 A really important addition to the query() method that filters a Quickbooks response to correctly honor time-based filters. (Monitor whether we need to +1 day to incoming time-based filters so that Quickbooks will include all desired results.)
View
62 quickbooks-ruby.gemspec
@@ -0,0 +1,62 @@
+Gem::Specification.new do |s|
+ s.name = %q{quickbooks-ruby}
+ s.version = "0.4.1"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 1.2.0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Daniel Parker"]
+ s.date = %q{2008-07-25}
+
+ s.summary = "A Ruby implementation of the QuickBooks SDK (QBXML) and the QuickBooks Merchant Services SDK (QBMSXML)."
+ s.description = "Read and Write QuickBooks data through the QuickBooks API using WIN32OLE and QBXML. Other connection types to come."
+
+ s.email = ["gems@behindlogic.com"]
+ s.extra_rdoc_files = ["History.txt", "LICENSE", "Manifest.txt", "README"]
+ s.files = [
+ "History.txt",
+ "lib/qbxml/request.rb",
+ "lib/qbxml/response.rb",
+ "lib/qbxml/support.rb",
+ "lib/qbxml.rb",
+ "lib/quickbooks/adapters/ole_adapter.rb",
+ "lib/quickbooks/adapters/qbxml_debug_adapter.rb",
+ "lib/quickbooks/base.rb",
+ "lib/quickbooks/model.rb",
+ "lib/quickbooks/models/common/address.rb",
+ "lib/quickbooks/models/common/all_refs.rb",
+ "lib/quickbooks/customer/credit_card_info.rb",
+ "lib/quickbooks/customer.rb",
+ "lib/quickbooks/deleted.rb",
+ "lib/quickbooks/list_item.rb",
+ "lib/quickbooks/transaction.rb",
+ "lib/quickbooks/ruby_magic.rb",
+ "lib/quickbooks.rb",
+ "LICENSE",
+ "README",
+ "specs/qbxml_spec.rb",
+ "specs/quickbooks_spec.rb",
+ "specs/spec_helper.rb"
+ ]
+ s.has_rdoc = true
+ s.homepage = %q{http://github.com/dcparker/quickbooks-ruby}
+ s.post_install_message = %q{
+ For more information on quicbooks-ruby, see http://github.com/dcparker/quickbooks-ruby
+ }
+ s.rdoc_options = ["--main", "README"]
+ s.require_paths = ["lib"]
+ s.rubyforge_project = %q{quickbooks}
+ s.rubygems_version = %q{1.2.0}
+ s.test_files = ["specs/qbxml_spec.rb", "specs/quickbooks_spec.rb", "specs/spec_helper.rb"]
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 2
+
+ if current_version >= 3 then
+ s.add_development_dependency(%q<hoe>, [">= 1.7.0"])
+ else
+ s.add_dependency(%q<hoe>, [">= 1.7.0"])
+ end
+ else
+ s.add_dependency(%q<hoe>, [">= 1.7.0"])
+ end
+end
Please sign in to comment.
Something went wrong with that request. Please try again.